Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf
Class ComboBoxUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ComboBoxUI

Direct Known Subclasses:
  BasicComboBoxUI, MultiComboBoxUI

public abstract class ComboBoxUI
extends ComponentUI

Pluggable look and feel interface for JComboBox.

Constructor Summary
`ComboBoxUI()`

Method Summary
`abstract boolean` | `isFocusTraversable(JComboBox c)` Determine whether or not the combo box itself is traversable
`abstract boolean` | `isPopupVisible(JComboBox c)` Determine the visibility of the popup
`abstract void` | `setPopupVisible(JComboBox c, boolean v)` Set the visiblity of the popup

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComboBoxUI

    public ComboBoxUI()

Method Detail

### setPopupVisible

    public abstract void setPopupVisible(JComboBox c,
                                         boolean v)

  Set the visiblity of the popup

### isPopupVisible

    public abstract boolean isPopupVisible(JComboBox c)

  Determine the visibility of the popup

### isFocusTraversable

    public abstract boolean isFocusTraversable(JComboBox c)

  Determine whether or not the combo box itself is traversable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.